Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.progress
Class JobManager

    java.lang.Object
      org.crosswire.common.progress.JobManager

    public final class JobManager

extends Object

JobManager is responsible for creating jobs and informing listeners about the progress they make to completion.

Example code:

     final Thread worker = new Thread("DisplayPreLoader")
     {
         public void run()
         {
             URL predictURI = Project.instance().getWritablePropertiesURI("save-name");
             Progress job = JobManager.createJob("Job Title", predictURI, this, true);

             try
             {
                 job.setProgress("Step 1");
                 ...
                 job.setProgress("Step 2");
                 ...
             }
             catch (Exception ex)
             {
                 ...
                 job.ignoreTimings();
             }
             finally
             {
                 job.done();
             }
         }
     };

     worker.setPriority(Thread.MIN_PRIORITY);
     worker.start();

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`

Field Summary
`private static Set` | `jobs` List of current jobs
`private static List` | `listeners` List of listeners
`private static Logger` | `log` The log stream

Constructor Summary
`private` | `JobManager()` Prevent Instansiation

Method Summary
`static void` | `addWorkListener(WorkListener li)` Add a listener to the list
`static Progress` | `createJob(String description, boolean fakeupdates)` Create a new Job
`static Progress` | `createJob(String description, Thread work, boolean fakeupdates)` Create a new Job
`static Progress` | `createJob(String description, URI predictURI, boolean fakeupdates)` Create a new Job
`static Progress` | `createJob(String description, URI predictURI, Thread work, boolean fakeupdates)` Create a new Job
`protected static void` | `fireWorkProgressed(Progress job)` Inform the listeners that a title has changed.
`static Set` | `getJobs()` Accessor for the currently known jobs
`static void` | `removeWorkListener(WorkListener li)` Remote a listener from the list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listeners

    private static List listeners

  List of listeners

### jobs

    private static Set jobs

  List of current jobs

### log

    private static final Logger log

  The log stream

Constructor Detail

### JobManager

    private JobManager()

  Prevent Instansiation

Method Detail

### createJob

    public static Progress createJob(String description,
                                     URI predictURI,
                                     Thread work,
                                     boolean fakeupdates)

  Create a new Job

### createJob

    public static Progress createJob(String description,
                                     Thread work,
                                     boolean fakeupdates)

  Create a new Job

### createJob

    public static Progress createJob(String description,
                                     URI predictURI,
                                     boolean fakeupdates)

  Create a new Job

### createJob

    public static Progress createJob(String description,
                                     boolean fakeupdates)

  Create a new Job

### addWorkListener

    public static void addWorkListener(WorkListener li)

  Add a listener to the list

### removeWorkListener

    public static void removeWorkListener(WorkListener li)

  Remote a listener from the list

### getJobs

    public static Set getJobs()

  Accessor for the currently known jobs

### fireWorkProgressed

    protected static void fireWorkProgressed(Progress job)

  Inform the listeners that a title has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD